package intrinsic.mx.effects.effectClasses;

public class GlowInstance extends intrinsic.mx.effects.effectClasses.TweenEffectInstance {

	/** Accessors */

	/** Variables */
	public double strength;
	public double blurXTo;
	public double blurYFrom;
	public double blurYTo;
	public boolean knockout;
	public int color;
	public double alphaTo;
	public double blurXFrom;
	public double alphaFrom;
	public boolean inner;
	public intrinsic.mx.effects.Tween tween;
	public intrinsic.Function easingFunction;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public GlowInstance() {
}

public GlowInstance(Object arg0) {
}


/** Static Methods */

/** Methods */
public native void play();
public native void onTweenUpdate(Object arg0);
public native void onTweenEnd(Object arg0);
public native void initEffect(intrinsic.flash.events.Event arg0);

}
